<?php

namespace App\Mail;

use App\Models\Pemasukan;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class PemasukanDiterimaMail extends Mailable
{
    use Queueable, SerializesModels;

    public $pemasukan;

    public function __construct(Pemasukan $pemasukan)
    {
        $this->pemasukan = $pemasukan;
    }

    public function build()
    {
        return $this->subject('Sumbangan Anda Telah Diterima')
            ->view('emails.pemasukan_diterima');
    }
}
